// ignore_for_file: invalid_annotation_target

import 'package:freezed_annotation/freezed_annotation.dart';

part 'feedback_request.freezed.dart';
part 'feedback_request.g.dart';

@freezed
abstract class FeedbackRequest with _$FeedbackRequest {
  const factory FeedbackRequest({
    @JsonKey(name: 'feedback_type') required String feedbackType,
    @JsonKey(name: 'tender_id') required String tenderId,
  }) = _FeedbackRequest;

  factory FeedbackRequest.fromJson(Map<String, dynamic> json) =>
      _$FeedbackRequestFromJson(json);
}
